Bug 5609 - Separate modules and libraries directories in configure
Separate modules and libraries directories in configure
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
Other All
: P3 enhancement
: ---
Assigned To: Michael Adam
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2008-07-10 17:08 UTC by Michael Adam
Modified: 2009-05-17 18:02 UTC (History)
2 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2008-07-10 17:08:36 UTC
This is isolated as a feature request from Bug #5592, reported by Buchan Milne <bgmilne@mandriva.org>.

Quote from bug #5592:

At present, both shared libraries and plugins shipped with samba (3.0.x and
3.2.x) are installed to the location provided to configure with the
--with-libdir option.

It would be preferable to be able to specify the locations independently. For
example, Linux distributions may want to have the shared libraries in a
location that can be found by the library loader, but may not necessarily want
ldconfig to have to look at plugins.

(As an example, OpenLDAP by default puts shared libraries such as libldap in
%{_libdir} and other server-specific shared objects such as backends, overlays,
and slapi plugins in %{_libdir}/openldap)
Comment 1 Michael Adam 2008-07-10 17:11:31 UTC
I think I would greatly ease things for packages to have a modules dir for the shared modules and a libs dir for the published shared libraries.

Most packagers of linux distributions currently move or manually re-install the libs from /usr/lib/samba to /usr/lib...

Comment 2 Michael Adam 2008-08-18 04:02:21 UTC
I have committed to v3-devel, the new samba3 development brancht,
a set of patches that implement the separation of the libdir into libdir (for shared and static libraries) and modulesdir (for shared modules like the vfs, pdb and idmap modules, codepages, and so on).

Not that I have removed the "--with-libdir" configure switch which did the same as the standard --libdir switch. Instead, I have now added the --with-modulesdir switch that defaults to ${libdir} in standard mode and to ${libdir}/samba in fhs mode.

Comment 3 Michael Adam 2009-05-17 18:02:54 UTC
this has been released with 3.3.0 --> FIXED